Create custom metadata columns
Create custom metadata columns in the Asset catalog for all tasks in the environment. The new columns contain no values.
POST https://{controlplane_path}/api/1/rest/public/catalog/{env_org}/custom-metadata/columns
Create custom metadata columns in the Asset catalog for all tasks in the
environment. The new columns contain no values.
Prerequisites
- Environment (Org) admin permissions
Path parameters
| Key | Description |
|---|---|
controlplane_path |
Required. The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For
example:
|
env_org |
Required. The name of the SnapLogic environment/Org. For example,
My-Dev-Env |
Query parameters
None.
Request header
Basic authentication
To use basic authentication, specify Basic for authorization in the request
header, add your credentials (email and password for your SnapLogic user or service account), and
specify application/json for content type. For example:
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of basic authentication using Postman:
Learn more about the basic authentication header in REST API requests.
JWT authentication
When using JWT authentication, the API request includes specific headers. In the request header,
specify Bearer Token for authorization, add the token, and specify
application/json for content type. These headers are automatically added when
you configure bearer token authentication in your API client. The authorization header contains
the word Bearer followed by a space and your JWT.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authentication using Postman:
Request body
A list that specifies the custom columns to create:
[
"customColumn1",
"customColumn2",
"customColumn3"
]| Key | Type | Description |
|---|---|---|
customColumn |
string |
The name of a custom column. Important: If
the request contains duplicate column names, the API uses the last and ignores the
rest. |
Response
Code 200 OK indicates that the columns were created.
Example
To use the following curl request to create a new column for all tasks
in the environment:
- Replace
My-Dev-Envwith your environment/ Org name. - Replace
my_custom_colwith your custom column name.
curl -X 'POST' \
'http://elastic.snaplogic.com/api/1/rest/public/catalog/My-Dev-Env/custom-metadata/columns' \
-H 'accept: */*' \
-H 'Content-Type: application/json' \
-d '[
"my_custom_col"
]'